astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Models And Fitting (`astropy.modeling`) »
- OrthoPolynomialBase

# OrthoPolynomialBase

class `astropy.modeling.polynomial.``OrthoPolynomialBase`(x_degree, y_degree, x_domain=None, x_window=None, y_domain=None, y_window=None, param_dim=1, **params)

  Bases: `astropy.modeling.polynomial.PolynomialBase`

  This is a base class for the 2D Chebyshev and Legendre models.

  The polynomials implemented here require a maximum degree in x and y.

  Parameters:

  x_degree : int

  > degree in x

  y_degree : int

  > degree in y

  x_domain : list or None

  > domain of the x independent variable

  y_domain : list or None

  > domain of the y independent variable

  x_window : list or None

  > range of the x independent variable

  y_window : list or None

  > range of the y independent variable

  param_dim : int

  > number of parameter sets

  **params : dict

  > {keyword: value} pairs, representing {parameter_name: value}

  Attributes Summary

  `n_inputs` | int(x=0) -> int or long
  `n_outputs` | int(x=0) -> int or long

  Methods Summary

  `get_num_coeff`() | Determine how many coefficients are needed
  `imhorner`(x, y, coeff) |
  `invlex_coeff`() |

  Attributes Documentation

  `n_inputs` = 2
  `n_outputs` = 1

  Methods Documentation

  `get_num_coeff`()

    Determine how many coefficients are needed

    Returns:

    numc : int

    > number of coefficients

  `imhorner`(x, y, coeff)
  `invlex_coeff`()